Subject: [ippm] Comments on draft-fioccola-ippm-multipoint-alt-mark-02

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Tue, 15 May 2018 09:05:50 +0000

Hi,

I've reviewed this draft. It seems a very interesting work. I have a few comments as follow:

1.       As a people first read this draft, I found the motivation of this draft is not strong enough, maybe it's good to add some comparing to existing methods, for example, monitoring specific flows by end-to-end and then using ALM to identify the problem when the flow is abnormal.

2.       In section 4.4, "multipoint paths basis or on single packets basis" may need some clarifications.

3.       Section 4.4, "In the latter case, you can use multipoint path just to easily couple packects between inputs and output nodes of a multipoint path, as it is described in the following sections". Is it true that following sections are only "single packets basis"?

4.       Section 4.4.2, Does the mean delay rely on single marking or not? If yes, I think it's better to rearrange 4.4.1 and 4.4.2, maybe combine them together, like RFC8321.

Other editorial comments:

1.       2nd para of 4.1, "tecniques" should be "techniques".

2.       The 2nd Para of 4.2, "And in case of no packet loss occurring in the marking period, if all
   the input and output points of the network domain to be monitored are
   measurement points, the number of packets is the same on all the ingress interfaces and on all the egress interfaces." To be accurate, maybe it's better to change to "... the sum of the number packets on all the ingress interface and on all the egress interfaces"

3.        Section 4.4, "packects"->"packets"

BR,
Rachel

---

From: Fioccola Giuseppe <[email-masked]>
Date: Tue, 15 May 2018 13:03:48 +0000

Hi Rachel,
Thank you for reviewing the draft.
My answers inline tagged as [GF]

Best Regards,

Giuseppe

From: Huangyihong (Rachel) [mailto:[email-masked]]
Sent: martedì 15 maggio 2018 11:06
To: IETF IPPM WG <[email-masked]>; Fioccola Giuseppe <[email-masked]>
Subject: Comments on draft-fioccola-ippm-multipoint-alt-mark-02

Hi,

1.       As a people first read this draft, I found the motivation of this draft is not strong enough, maybe it's good to add some comparing to existing methods, for example, monitoring specific flows by end-to-end and then using ALM to identify the problem when the flow is abnormal.
[GF]: Agree, we have to emphasize that this document allows flexible and adaptive performance measurements in an SDN orchestrated network. Also, a comparison with the state of art is needed.

2.       In section 4.4, "multipoint paths basis or on single packets basis" may need some clarifications.
[GF]: You are right. This was described during the presentation in London but we have to clarify the idea. We can split the Delay Measurement Section into two sub-Section, one on multipoint path basis and the other on single packets basis measurements.

[GF]: Yes, it is true.

4.       Section 4.4.2, Does the mean delay rely on single marking or not? If yes, I think it's better to rearrange 4.4.1 and 4.4.2, maybe combine them together, like RFC8321.
[GF]: Yes, it makes sense to combine 4.4.1 and 4.4.2 together. But we should also distinguish between multipoint path basis and single packets basis measurements.

[GF]: Will fix it.

2.       The 2nd Para of 4.2, "And in case of no packet loss occurring in the marking period, if all
   the input and output points of the network domain to be monitored are
   measurement points, the number of packets is the same on all the ingress interfaces and on all the egress interfaces." To be accurate, maybe it's better to change to "... the sum of the number packets on all the ingress interface and on all the egress interfaces"
[GF]: it makes sense, I will modify the sentence.

[GF]: Will fix it.

BR,
Rachel

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie. 

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks. 

Rispetta l'ambiente. Non stampare questa mail se non è necessario.